KTextEditor::PrintDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::PrintDCOPInterface Class Reference

This is the main interface to the PrintInterface of KTextEdit. DCOP interface to PrintInterface. More...

`#include <printdcopinterface.h>`

Inheritance diagram for KTextEditor::PrintDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::PrintDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | printInterfaceNumber ()
bool | printDialog ()
bool | print ()
## Public Member Functions
| PrintDCOPInterface (PrintInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~PrintDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the PrintInterface of KTextEdit. DCOP interface to PrintInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file printdcopinterface.h.

## Constructor & Destructor Documentation

PrintDCOPInterface::PrintDCOPInterface | ( | PrintInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentPrintInterface | - The parent PrintInterface object that will provide us with the functions for the interface.
Definition at line 7 of file printdcopinterface.cpp. References KStdAccel::name().

PrintDCOPInterface::~PrintDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file printdcopinterface.cpp.

The documentation for this class was generated from the following files:

- printdcopinterface.h
- printdcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001